CVE-2021-20266

Name
CVE-2021-20266
Description
A flaw was found in RPM's hdrblobInit() in lib/header.c. This flaw allows an attacker who can modify the rpmdb to cause an out-of-bounds read. The highest threat from this vulnerability is to system availability.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://bugzilla.redhat.com/show_bug.cgi?id=1927741
MISC https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/VHRPNBCRPDJHHQE3MBPSZK4H7X2IM7AC/
MISC https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/TMGXO3W6DHPO62GJ4VVF5DEUX5DRUR5K/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:rpm:rpm:*:*:*:*:*:*:*:* rpm >= None < 4.17.0
cpe:2.3:a:rpm:rpm:*:*:*:*:*:*:*:* rpm >= None < 4.16.1.3

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
rpm edge-community 4.16.1.3-r1 None fixed
rpm 3.13-community 4.16.1.3-r0 None fixed
rpm 3.14-community 4.16.1.3-r1 None fixed